### Method

# Secret Service set_alias_to_dbus_path_sync

#### Declaration [src]

    gboolean
    secret_service_set_alias_to_dbus_path_sync (
      SecretService* self,
      const gchar* alias,
      const gchar* collection_path,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Assign a collection to this alias.

Aliases help determine well known collections, such as ‘default’. This method takes the dbus object path of the collection to assign to the alias.

This method may block and should not be used in user interface threads.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`alias`

  Type: `const gchar*`

  The alias to assign the collection to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`collection_path`

  Type: `const gchar*`

  The D-Bus object path of the collection to assign to the alias.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful.